//////////////////////////////////////////////////////////////////////////////////////////
//                                                                                      //
//      Filename                :               HTTPHandler.h                           //
//                                                                                      //
//      Author                  :               Raman Dhillon                           //
//                                                                                      //
//      Version                 :               1.0                                     //
//                                                                                      //
//      Location                :               Pervasive Communication Lab             //
//                                              University of Colorado at Boulder       //
//                                                                                      //
//      Change Log                                                                      //
//      --------------------------------------------------------------------------      //
//      Change          Author          Date            Reason                          //
//                                                                                      //
//      --------------------------------------------------------------------------      //
//                                                                                      //
//////////////////////////////////////////////////////////////////////////////////////////



#ifndef _HTTP_HANDLER_H
#define _HTTP_HANDLER_H

#include <iostream>
#include <curl/curl.h>

using namespace std;

class HTTPHandler
{
   
  CURL *curl;
  CURLcode res;
  
  public:

  HTTPHandler() 
  { //curl = curl_easy_init(); 
  }

  ~HTTPHandler() 
  { //curl_easy_cleanup(curl); 
  } 
	 
  int sendHTTPGet(char*);

  int sendHTTPPost(char*, char*);
  
  static size_t write_data(void *ptr, size_t size, size_t nmemb,void *ourpointer);

  int sendHTTPGetFile(char*);	// returns the file size (in bytes) of the file obtained thru GET

  int sendHTTPPostFile(char*, char*);

};


#endif

